## org.hibernate.engine
Class TypedValue

    java.lang.Object
      org.hibernate.engine.TypedValue

All Implemented Interfaces:
  Serializable

    public final class TypedValue

extends Object
implements Serializable

An ordered pair of a value and its Hibernate type.

Author:
  Gavin King
See Also:
  `Type`, Serialized Form

Constructor Summary
`TypedValue(Type type, Object value, EntityMode entityMode)`

Method Summary
`boolean` `equals(Object other)`
`Type` `getType()`
`Object` `getValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedValue

    public TypedValue(Type type,
                      Object value,
                      EntityMode entityMode)

Method Detail

### getValue

    public Object getValue()

### getType

    public Type getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.